<!DOCTYPE html>
<html lang="en">
<head>
    <head>
        <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
        <!-- Import DataTable Library -->
        <link rel="stylesheet" href="//cdn.datatables.net/1.13.4/css/jquery.dataTables.min.css">
        <script src="//cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
      </head>
</head>
<body>
    <div class="container">
        <div class="text-center mt-2 mb-2">
            <h2>F200 - LỊCH SỬ QUAY DICE</h2>
        </div>
        <div class="jumbotron container">
            <div class="row form-group">
                <div class="col-sm-1">
                  <label for="inputusername">UserName</label>
                </div>
                <div class="col-sm-3">
                  <input type="text" class="form-control" id="inp-username">
                </div>
                <div class="col-sm-1">
                  <label for="inputfirstname">FirstName</label>
                </div>
                <div class="col-sm-3">
                    <input type="text" class="form-control" id="inp-firstname">
                </div>
                <div class="col-sm-1">
                    <label for="inputlasstname">LastName</label>
                  </div>
                  <div class="col-sm-3">
                      <input type="text" class="form-control" id="inp-lastname">
                  </div>
            </div>
        </div>
    </div>

    <div class="container">
        <table class="table table-bordered table-striped table-hover" id="history-dice-table">
          <thead>
            <tr>
              <th>Lần chơi</th>
              <th>Kết quả</th>
            </tr>
          </thead>
        </table>
      </div>
</body>
<script>
  "use strict";
  //REGION 1
  const gBASE_URL = "http://203.171.20.210:8080/devcamp-lucky-dice";
  var gPlayerInfoObj = {};
  var gDiceHistoryData = [];

  var gNameCol = ["stt", "dice"];
  const gSTT_COL = 0;
  const gDICE_POINT_COL = 1;

  var gPlayerDataTable = $("#history-dice-table").DataTable({
    columns: [
      {data: gNameCol[gSTT_COL]},
      {data: gNameCol[gDICE_POINT_COL]}
    ],
    columnDefs: [ //định nghĩa các cột cần hiện ra
      {
        targets: gSTT_COL,
        className: "text-center text-primary",
        render: function(data, type, row, meta){
          return meta.row + meta.settings._iDisplayStar + 1
        }
      },
      {
        targets: gDICE_POINT_COL,
        className: "text-center text-success",
      }
    ]
  })
  //REGION 2
  onPageLoading()
  //REGION 3  
  function onPageLoading(){
    var vCurrentURL = window.location.href //gọi đường dẫn trang
    catchDataFormURL(vCurrentURL);
  }
  //REGION 4
  //hàm xử lý thực hiện lấy queryString từ Url trang web
  function catchDataFormURL(paramUrl){
    "use strict";
    var vNewURL = new URL(paramUrl);
    //get parameters
    var vUserName = vNewURL.searchParams.get("username");
    var vFirstName = vNewURL.searchParams.get("firstname");
    var vLastName = vNewURL.searchParams.get("lastname");
    
    $("#inp-username").val(vUserName);
    $("#inp-firstname").val(vFirstName);
    $("#inp-lastname").val(vLastName);

    $.ajax({
      url: gBASE_URL + "/dice-history?username=" + vUserName,
      type: 'GET',
      success: function (paramUser) {
        console.log(paramUser)
        showUserDataToForm(paramUser);
      },
      error: function (paramErr) {
        console.log(paramErr.status);
      },
			});
  }
  function showUserDataToForm(paramUser){
    var vTable = $("#history-dice-table");
    for(var bI = 0; bI < paramUser.dices.length;bI++){
      var bNewRow = $("<tr>").appendTo(vTable);
        $("<td>", {
          text: bI + 1
        }).appendTo(bNewRow);
        $("<td>",{
          text: paramUser.dices[bI]
        }).appendTo(bNewRow);
    }
 }
</script>
</html>